;:* -*- emacs-lisp -*-
;:* $Id: w3m-init.el,v 1.3 2001/11/28 04:03:19 kazuhiko Exp $
;:*
;:*=======================
;:* configuration for w3m-emacs
;:*
;:* For using this, you need to add this contents to ~/.emacs , or need to
;:* load directly in ~/.emacs as follows.
;:*   (load "/usr/share/config-sample/elisp-w3m/w3m-init")
;:*

;:*=======================
;:* w3m
(autoload 'w3m "w3m" "Interface for w3m on Emacs." t)
(autoload 'w3m-find-file "w3m" "w3m interface function for local file." t)
(autoload 'w3m-browse-url "w3m" "Ask a WWW browser to show a URL." t)
(autoload 'w3m-search "w3m-search" "Search QUERY using SEARCH-ENGINE." t)
(autoload 'w3m-weather "w3m-weather" "Display weather report." t)
(autoload 'w3m-antenna "w3m-antenna" "Report chenge of WEB sites." t)

;:* Type of w3m (w3m or w3mmee)
(setq w3m-type 'w3m)

;:* Default region to check weather
(setq w3m-weather-default-area "븩")

;:* Whether to display images inline
;(setq w3m-display-inline-images t)

;:* Non-nil activates header-line of w3m
(setq w3m-use-header-line nil)

;:* user w3m instead of w3 when read HTML mime-part
(setq mime-setup-enable-inline-html nil)
(eval-after-load "mime-view"
  '(progn
     (autoload 'mime-w3m-preview-text/html "mime-w3m")
     (ctree-set-calist-strictly
      'mime-preview-condition
      '((type . text)
        (subtype . html)
        (body . visible)
        (body-presentation-method . mime-w3m-preview-text/html)))
     (set-alist 'mime-view-type-subtype-score-alist
                '(text . html) 3)))

;:* browse-url (from TIPS.ja)
(setq browse-url-browser-function 'w3m-browse-url)
(global-set-key "\C-xm" 'browse-url-at-point)

;:* dired (from TIPS.ja)
(add-hook 'dired-mode-hook
          (lambda ()
              (define-key dired-mode-map "\C-xm" 'dired-w3m-find-file)))
(defun dired-w3m-find-file ()
  (interactive)
  (require 'w3m)
  (let ((file (dired-get-filename)))
    (if (y-or-n-p (format "Open 'w3m' %s " (file-name-nondirectory file)))
        (w3m-find-file file))))

;:* hnf-mode (from TIPS.ja)
(defun w3m-hnf-browse-url-w3m (url &optional new-window)
  (interactive (browse-url-interactive-arg "URL: "))
  (save-selected-window
    (pop-to-buffer (get-buffer-create "*w3m*"))
    (w3m-browse-url url new-window)))
(setq hnf-browse-url-browser-function (function w3m-hnf-browse-url-w3m))

;:* yahtml-mode (from TIPS.ja)
(autoload 'w3m-goto-url "w3m")
(defadvice yahtml-browse-html
  (around w3m-yahtml-browse-html activate compile)
  (w3m-goto-url (ad-get-arg 0) t))
